Skip to Content
Templates

Update a template

PUT
/v1/numbers/{phone_number}/templates/{template_id}

Replace a template. Send the complete template every time.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

phone_number*string

Your WhatsApp number, digits only, e.g. 393401234567.

template_id*string

ID of the template.

Request Body

application/json
  1. body
name*string

Lowercase letters, digits and underscores.

language*string

Language code, e.g. it or en_US.

category*TemplateCategory
Value in"UTILITY""AUTHENTICATION""MARKETING"
components*array<>

HEADER, BODY, FOOTER and BUTTONS, in WhatsApp's template format.

[key: string]?any

Response Body

OK

application/json
  1. response

WhatsApp's response, passed through unchanged.

[key: string]?any
Example Request
curl -X PUT 'https://api.wapiu.ai/v1/numbers/393401234567/templates/1234567890123456' \  -H 'Content-Type: application/json' \  -d '{  "name": "order_shipped",  "language": "it",  "category": "UTILITY",  "components": [    {      "type": "BODY",      "text": "Ciao {{1}}, il tuo ordine {{2}} è in viaggio.",      "example": {        "body_text": [          [            "Mario",            "A1234"          ]        ]      }    }  ]}'
Example Response
{}